Skip to main content
POST
Register an uploaded attachment on a transaction

Path Parameters

id
string
required

Transaction ID

Example:

"1"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
storagePath
string
required

The storagePath returned by the upload-link call.

Required string length: 1 - 512
contentType
string

Ignored since 2026-10-23: the stored type is read off the object itself.

Required string length: 1 - 120
extension
string

Ignored: taken from the storagePath.

Pattern: ^[A-Za-z0-9]{1,10}$
name
string

Original file name, shown on the attachment card.

Maximum string length: 255

Response

File accepted: it is being re-encoded (an image) or scanned (a document) and the attachment is listed once it passed

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026